Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] steam Installation...
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
genLin
n00b
n00b


Joined: 14 Sep 2013
Posts: 8
Location: Bochum

PostPosted: Sat Sep 14, 2013 9:13 pm    Post subject: [SOLVED] steam Installation... Reply with quote

Hallo Leute :)

nach dem ich mich ein wenig mit ubuntu und arch befasst habe, bin ich jetzt mit gentoo am experimentieren.
Ich bin kein Experte, aber auch kein totaler anfänger mehr. allerdings ist die installation von steam für mich doch nicht so leicht umzusetzen wie ich dachte...

Ich habe es normal mit emerge versucht -> nicht gefunden

Also overlay "layman -a gamerlay" -> kein erfolg

also overlay 2 "steam" -> erfolg weil paket gfunden ABER

Code:

alculating dependencies... done!
[ebuild  N    ~] games-util/steam-games-meta-0-r20130312  USE="-s3tc -steamgames_defenders_quest -steamgames_dwarfs -steamgames_journey_down -steamgames_shatter -steamgames_tf2 -steamgames_trine2 -steamgames_unwritten_tales -testdeps" VIDEO_CARDS="intel nouveau nvidia radeon -fglrx"
[ebuild  N     ] media-libs/webrtc-audio-processing-0.1  USE="-static-libs"
[ebuild  N     ] dev-libs/libatomic_ops-7.2d
[ebuild  N     ] net-libs/libasyncns-0.8-r2  USE="-debug -doc"
[ebuild  N     ] dev-libs/json-c-0.9-r1  USE="-static-libs"
[ebuild  NS    ] media-libs/libpng-1.2.50 [1.5.15]
[binary     U  ] media-libs/alsa-lib-1.0.27.1 [1.0.26-r1]
[ebuild  N     ] gnome-extra/gnome-audio-2.22.2  USE="-debug"
[ebuild  N     ] media-fonts/font-mutt-misc-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-bitstream-100dpi-1.0.3  USE="X nls"
[ebuild  N    ~] media-libs/libsdl2-2.0.0  USE="3dnow X alsa audio dbus joystick mmx nas opengl sse sse2 threads udev video xinerama (-altivec) (-custom-cflags) -directfb -fusionsound -gles -haptic -oss -pulseaudio -static-libs -tslib -xscreensaver"
[ebuild  N     ] gnome-extra/zenity-2.32.1  USE="compat libnotify -debug"
[ebuild  N    ~] games-util/steam-launcher-1.0.0.42  USE="-steamruntime"
[ebuild  N     ] media-sound/pulseaudio-2.1-r1  USE="X alsa asyncns bluetooth caps dbus gdbm glib gtk ipv6 lirc orc ssl tcpd udev webrtc-aec -avahi -doc -equalizer -gnome -jack -libsamplerate (-oss) -realtime (-system-wide) -systemd {-test} -xen"
[ebuild  N     ] media-plugins/alsa-plugins-1.0.27  USE="ffmpeg pulseaudio speex -debug -jack -libsamplerate"
[ebuild  N    ~] games-util/steam-client-meta-0-r20130912  USE="flash -trayicon" VIDEO_CARDS="intel"
[ebuild  N    ~] games-util/steam-meta-0-r20130514  USE="-steamruntime"

The following keyword changes are necessary to proceed:
 (see "package.accept_keywords" in the portage(5) man page for more details)
# required by games-util/steam-meta (argument)
=games-util/steam-meta-0-r20130514 ~x86
# required by games-util/steam-meta-0-r20130514::steam-overlay[-steamruntime]
# required by games-util/steam-meta (argument)
=games-util/steam-client-meta-0-r20130912 ~x86
# required by games-util/steam-meta-0-r20130514::steam-overlay
# required by games-util/steam-meta (argument)
=games-util/steam-launcher-1.0.0.42 ~x86
# required by games-util/steam-client-meta-0-r20130912::steam-overlay
# required by games-util/steam-meta-0-r20130514::steam-overlay[-steamruntime]
# required by games-util/steam-meta (argument)
=media-libs/libsdl2-2.0.0 ~x86
# required by games-util/steam-meta-0-r20130514::steam-overlay[-steamruntime]
# required by games-util/steam-meta (argument)
=games-util/steam-games-meta-0-r20130312 ~x86

The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by media-sound/pulseaudio-2.1-r1[alsa]
# required by games-util/steam-client-meta-0-r20130912::steam-overlay
# required by games-util/steam-meta-0-r20130514::steam-overlay[-steamruntime]
# required by games-util/steam-meta (argument)
>=media-plugins/alsa-plugins-1.0.27 pulseaudio

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.


Ich weiss, dass ich USE Flags setzen muss und das ich das auch keywords ersetzen muss. Allerdings habe ich das noch nie gemacht und das letzte mal als ich das tat, hab ich mein system gebricked / media codcs + flash.

nachdem ich jetzt nochmal von vorne angefangen habe, will ich keine falschen eingaben machen.

wie setze ich die änderungen die dort gefordert sind um? Bedeutet ROT, dass ich das ändern muss?
Es wäre nett wenn jemand schritt für schritt sagt, was ich wie wo einsetzen muss und wo ich die entsprechenden datein finde. die meisten werden dann wohl um portage herum liegen.

emerge --info

Code:

alquaida package.keywords # emerge --info
!!! Found 2 make.conf files, using both '/etc/make.conf' and '/etc/portage/make.conf'
Portage 2.2.0_alpha185 (!../var/lib/layman/calculate/profiles/calculate/desktop/CLD/x86/binary, gcc-4.6.3, glibc-2.15-r3, 3.9.7-calculate i686)
=================================================================
System uname: Linux-3.9.7-calculate-i686-AMD_E-350_Processor-with-gentoo-13.6.1
KiB Mem:     2460104 total,    523652 free
KiB Swap:    2460100 total,   2454392 free
Timestamp of tree: Thu, 12 Sep 2013 18:00:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p45
dev-lang/python:          2.7.5-r2
dev-util/cmake:           2.8.10.2-r2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo calculate gamerlay steam-overlay
Installed sets: @custom
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /usr/share/themes/oxygen-gtk/gtk-3.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/var/calculate/remote/distfiles"
EMERGE_DEFAULT_OPTS="--binpkg-respect-use=y --quiet-build=n --with-bdeps=y"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles getbinpkg merge-sync metadata-transfer parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/var/calculate/remote/packages/CLD/i686"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/calculate/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/calculate /var/lib/layman/gamerlay /var/lib/layman/steam"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac acl acpi alsa amr audiofile avi bash-completion berkdb bittorrent bluetooth bzip2 cairo cdda cddb cdparanoia cdr chm clamav cli consolekit cpudetection cracklib crypt css cue cups cxx dbus djvu dri dv dvd dvdr dvdread ebook encode exif faac fbcon fdftk ffmpeg flac flash foomaticdb fortran ftp gd gdbm ggi gif gphoto2 gtk iconv id3tag ieee1394 imagemagick ios ipod ipv6 irc jabber jingle jpeg jpeg2k kde libcaca libnotify libwww lirc logrotate lzo mad matroska mbox mikmod mmx mmxext mng modules mp3 mpeg mplayer mudflap musepack nas ncurses networkmanager nfs nls nptl nsplugin ogg oggvorbis openal opencore-amr openexr opengl openmp oscar pam pcre pdf png policykit portaudio ppp qt3support qt4 quicktime raw rdesktop readline real samba scanner sdl semantic-desktop session smp speex spell srt sse sse2 sse3 sse4.1 sse4.2 sse4a sse5 ssl ssse3 svg tcpd tga theora tiff truetype udev unicode usb userlocales v4l v4l2 vaapi vcd vdpau vhosts vidix vorbis wavpack webkit wimax win32codecs wmf wxwindows x264 x86 xanim xcomposite xinerama xpm xv xvid xvmc yahoo zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="* ptp2" CDISTRO="CLD desktop" CL="builder client desktop console consolegui" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" FOO2ZJS_DEVICES="*" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="keyboard mouse evdev mutouch synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en bg de es fr it pl pt pt_BR ro ru ru_RU uk" LIRC_DEVICES="devinput" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" RUBY_TARGETS="ruby19 ruby18" THEMES="CLD" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga nouveau nv r128 radeon savage sis tdfx trident vesa via vmware nouveau nvidia i915 i965 r100 r200 r300 r600 radeonhd dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



Danke im voraus :)
_________________
Lieber ein Pinguin der rennt, als ein Fenster das hängt.


Last edited by genLin on Mon Sep 16, 2013 6:38 am; edited 1 time in total
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1001

PostPosted: Sat Sep 14, 2013 9:50 pm    Post subject: Reply with quote

das was unter der paketliste steht ist der für dich relevante teil:
Code:
The following keyword changes are necessary to proceed:
 (see "package.accept_keywords" in the portage(5) man page for more details)
# required by games-util/steam-meta (argument)
=games-util/steam-meta-0-r20130514 ~x86
# required by games-util/steam-meta-0-r20130514::steam-overlay[-steamruntime]
# required by games-util/steam-meta (argument)
=games-util/steam-client-meta-0-r20130912 ~x86
# required by games-util/steam-meta-0-r20130514::steam-overlay
# required by games-util/steam-meta (argument)
=games-util/steam-launcher-1.0.0.42 ~x86
# required by games-util/steam-client-meta-0-r20130912::steam-overlay
# required by games-util/steam-meta-0-r20130514::steam-overlay[-steamruntime]
# required by games-util/steam-meta (argument)
=media-libs/libsdl2-2.0.0 ~x86
# required by games-util/steam-meta-0-r20130514::steam-overlay[-steamruntime]
# required by games-util/steam-meta (argument)
=games-util/steam-games-meta-0-r20130312 ~x86

The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by media-sound/pulseaudio-2.1-r1[alsa]
# required by games-util/steam-client-meta-0-r20130912::steam-overlay
# required by games-util/steam-meta-0-r20130514::steam-overlay[-steamruntime]
# required by games-util/steam-meta (argument)
>=media-plugins/alsa-plugins-1.0.27 pulseaudio


das so in die angegebenen dateien übernehmen sollte dich weiterbringen.
Kommentare (Zeilen mit # am anfang) kannst du weglassen.
Wenns noch probleme gibt, kannst du gerne nochmal fragen!
Back to top
View user's profile Send private message
genLin
n00b
n00b


Joined: 14 Sep 2013
Posts: 8
Location: Bochum

PostPosted: Sun Sep 15, 2013 7:53 am    Post subject: Reply with quote

Moin,

danke für die antwort. ich probiere das gerade alles aus.
eine Frage nebenbei:
ist das normal das das kalkulieren der Abhängigkeiten mehr als 5 Minuten dauert??
Wenn nicht, wie kann ich das beschleunigen? Ich kenn das, dass gentoo extrem schnell damit war, aber
es dauert jedesmal eine halbe ewigkeit.

Danke
_________________
Lieber ein Pinguin der rennt, als ein Fenster das hängt.
Back to top
View user's profile Send private message
genLin
n00b
n00b


Joined: 14 Sep 2013
Posts: 8
Location: Bochum

PostPosted: Mon Sep 16, 2013 6:37 am    Post subject: Reply with quote

Solved.
_________________
Lieber ein Pinguin der rennt, als ein Fenster das hängt.
Back to top
View user's profile Send private message
metal1ty
Veteran
Veteran


Joined: 21 Apr 2005
Posts: 1312
Location: HS/GER

PostPosted: Mon Sep 16, 2013 10:32 am    Post subject: Reply with quote

Hallo,

zu deinem "Problem" beim Kalkulieren der Abhängigkeiten...

hast du mal ein emerge --regen laufen lassen?
Hattest du das Problem auch bevor du ein Overlay hinzugefügt hast? Evtl. hast du ein paar fehlende Metainformationen im Overlay.
Welche Portage Version nutzt du?

Ich hatte vor kurzem ein ähnliches Problem. Es gibt dazu ein Ticket. Hat mir ein Kumpel weitergeleitet. Dort stand das Problem mit Lösung beschrieben.
Habe allerdings im Moment den Link nicht, da ich unterwegs bin.

LG
_________________

Int Core i7-860 2800 11 | D3 16GB 1333-777 XMP |
2x SSD 240GB 525/560 | 2x EIZO EV2736WFS-BK
Back to top
View user's profile Send private message
genLin
n00b
n00b


Joined: 14 Sep 2013
Posts: 8
Location: Bochum

PostPosted: Mon Sep 16, 2013 10:44 am    Post subject: Reply with quote

Moin,

Das Kalkulieren der Abhängigkeiten hat schon immer ne halbe Ewigkeit gedauert...hat sich aber auch durch hinzufügen des Overlays nicht verschlechtert. Es ist einfach nur stink langsam.

ich glaub ich hab im moment portage 2.16. Könnte aber auch ein wenig höher sein. ich bin auf der arbeit und kann nicht nachschauen.

emerge --regen werd ich heute abend mal laufen lassen. Wenn du den link hast, setz ihn bitte hier mal rein.

Dank

LG
_________________
Lieber ein Pinguin der rennt, als ein Fenster das hängt.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum